Attribute VB_Name = "Main"
Option Private Module
Option Explicit

Public Sub RunUpdate()
  Dim iProjects As Scripting.Dictionary: Set iProjects = ScanProjects
  Dim iActive As DB_Projects: Set iActive = AccessActive
  Dim iArchive As DB_Projects: Set iArchive = AccessArchive
  
  Call UpdateProjects(iActive, iArchive, iProjects)
  
  Call MsgBox("Update complete", vbInformation)
End Sub

Public Sub RunSort()
  Call AccessActive.UpdateSorting
  Call AccessArchive.UpdateSorting
End Sub

Public Function GetActiveDump() As String()
  GetActiveDump = AccessActive.DumpData
End Function

Public Function GetArchiveDump() As String()
  GetArchiveDump = AccessArchive.DumpData
End Function

Public Function GetSubstitutesDump() As String()
  Dim iSubs As Scripting.Dictionary: Set iSubs = AccessSubstitutes
  If iSubs.Count = 0 Then _
    Exit Function
    
  Dim iDump() As String
  ReDim iDump(1 To iSubs.Count, SubsTransferStruct.[_First] To SubsTransferStruct.[_Last])
  Dim nItem&: nItem = 1
  Dim aKey As Variant
  For Each aKey In iSubs
    iDump(nItem, S_TS_MATCH_TARGET) = CStr(aKey)
    iDump(nItem, S_TS_REPLACEMENT) = iSubs(aKey)
    nItem = nItem + 1
  Next aKey
  GetSubstitutesDump = iDump
End Function


