VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CRD_WorkList 
   Caption         =   "  "
   ClientHeight    =   9360.001
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   10140
   OleObjectBlob   =   "CRD_WorkList.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CRD_WorkList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public isCanceled_ As Boolean
Private ids_ As Collection

Private Sub UserForm_Initialize()
  isCanceled_ = True
  Call PositionInMiddle(Me)
End Sub

Public Function Init(iWorks As Scripting.Dictionary)
  isCanceled_ = True
  Call Me.LevelList.Clear
  Set ids_ = New Collection
  
  Dim aKey As Variant
  For Each aKey In iWorks
    Call ids_.Add(aKey)
    Call Me.LevelList.AddItem(aKey & ": " & iWorks(aKey))
  Next aKey
End Function

Public Function GetSelectedID() As String
  Dim nItem&
  For nItem = 0 To ids_.Count - 1
    If LevelList.Selected(nItem) Then
      GetSelectedID = ids_.Item(nItem + 1)
      Exit Function
    End If
  Next nItem
End Function

' ========
Private Sub LevelList_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  Call BtnOK_Click
End Sub

Private Sub BtnOK_Click()
  isCanceled_ = False
  Call Me.Hide
End Sub

Private Sub BtnCancel_Click()
  isCanceled_ = True
  Call Me.Hide
End Sub

