Attribute VB_Name = "DataTransfer"
Option Private Module
Option Explicit

Public Const PATH_PROJECTS = "\\fs1.concept.ru\Exchange\! .xlsm"

'# _TP_     
Public Enum ProjectTransferStruct
  [_First] = 1
  
  S_TP_TYPE = 1
  S_TP_NAME = 2
  S_TP_MANAGER = 3

  [_Last] = 3
End Enum

'# _TS_     
Public Enum SubsTransferStruct
  [_First] = 1
  
  S_TS_MATCH_TARGET = 1
  S_TS_REPLACEMENT = 2

  [_Last] = 2
End Enum

Public Function LoadActiveProjects(iProjectWB As Excel.Workbook) As String()
  Dim iDump() As String: iDump = iProjectWB.Application.Run("'" & iProjectWB.Name & "'" & "!GetActiveDump")
  If Not IsArrayAllocated(iDump) Then _
    Exit Function
  LoadActiveProjects = iDump
End Function

Public Function LoadArchiveProjects(iProjectWB As Excel.Workbook) As String()
  Dim iDump() As String: iDump = iProjectWB.Application.Run("'" & iProjectWB.Name & "'" & "!GetArchiveDump")
  If Not IsArrayAllocated(iDump) Then _
    Exit Function
  LoadArchiveProjects = iDump
End Function

Public Function LoadProjectSubstitutes(iProjectWB As Excel.Workbook) As String()
  Dim iDump() As String: iDump = iProjectWB.Application.Run("'" & iProjectWB.Name & "'" & "!GetSubstitutesDump")
  If Not IsArrayAllocated(iDump) Then _
    Exit Function
  LoadProjectSubstitutes = iDump
End Function

