Attribute VB_Name = "DataAccess"
Option Private Module
Option Explicit

Public Function AccessActive() As DB_Projects
  Static s_Projects As DB_Projects
  
  If s_Projects Is Nothing Then
    Set s_Projects = New DB_Projects
    Call s_Projects.Init(ThisWorkbook.Worksheets(SHEET_ACTIVE))
  End If
  
  Set AccessActive = s_Projects
End Function

Public Function AccessArchive() As DB_Projects
  Static s_Projects As DB_Projects
  
  If s_Projects Is Nothing Then
    Set s_Projects = New DB_Projects
    Call s_Projects.Init(ThisWorkbook.Worksheets(SHEET_ARCHIVE))
  End If
  
  Set AccessArchive = s_Projects
End Function

Public Function AccessSubstitutes() As Scripting.Dictionary
  Dim iSubs As New Scripting.Dictionary
  Dim iData As Excel.Worksheet: Set iData = ThisWorkbook.Sheets(SHEET_SUBSTITUTES)
  Dim nRow&: nRow = FIRST_ROW
  Do
    Dim sTarget$: sTarget = iData.Cells(nRow, S_SUB_TARGET)
    If sTarget = vbNullString Then _
      Exit Do
    Dim sReplacement$: sReplacement = iData.Cells(nRow, S_SUB_REPLACE)
    
    If Not iSubs.Exists(sTarget) Then _
      Call iSubs.Add(sTarget, sReplacement)
    nRow = nRow + 1
  Loop
  Set AccessSubstitutes = iSubs
End Function
