VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CRD_ProjectList 
   Caption         =   " "
   ClientHeight    =   7215
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   9315.001
   OleObjectBlob   =   "CRD_ProjectList.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CRD_ProjectList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public isCanceled_ As Boolean

Private selected_ As String

Private Sub UserForm_Initialize()
  isCanceled_ = True
  Call PositionInMiddle(Me)
End Sub

Public Function Init(iProjects As DB_CachedProjects)
  isCanceled_ = True
  selected_ = vbNullString
  
  Call LBFixed.Clear
  Call LBIncome.Clear
  Call LBOutcome.Clear
  
  Dim aKey As Variant
  For Each aKey In iProjects.projects_
    Dim sProject$: sProject = CStr(aKey)
    Dim iProject As ItemCachedProject: Set iProject = iProjects.projects_(aKey)
    If iProject.isActive_ Then
      If Not CCTestProjectName(sProject) Then
        Call LBFixed.AddItem(sProject)
      ElseIf iProject.category_ = T_PCAT_INCOME Then
        Call LBIncome.AddItem(sProject)
      Else
        Call LBOutcome.AddItem(sProject)
      End If
    End If
  Next aKey
End Function

Public Function GetSelectedID() As String
  GetSelectedID = selected_
End Function

' ========
Private Sub LBFixed_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  selected_ = LBFixed.Value
  isCanceled_ = False
  Call Me.Hide
End Sub

Private Sub LBIncome_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  selected_ = LBIncome.Value
  isCanceled_ = False
  Call Me.Hide
End Sub

Private Sub LBOutcome_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  selected_ = LBOutcome.Value
  isCanceled_ = False
  Call Me.Hide
End Sub

Private Sub BtnCancel_Click()
  isCanceled_ = True
  Call Me.Hide
End Sub
